// -*- C++ -*-
//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.cs.colorado.edu/serl/siena/
//
//  Authors: See the file AUTHORS for full details.
//
//  Copyright (C) 2002-2004 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to serl@cs.colorado.edu.
//
// $Id: maindoc.h,v 1.2 2008-08-21 15:34:11 carzanig Exp $
//
/** \file maindoc.h This header file contains the main documentation
 * for the Siena Simplification Library.
 **/

/** \mainpage Siena Simplification Library Documentation

This documentation describes the application programmer interface of
the <a href="http://www.cs.colorado.edu/serl/siena/">Siena</a>
Simplification module.

<p>

This library defines procedures for determining conflicting and
covering relationships between <code>constraints</code>.  There are
also procedures for determining a covering relationship between
<code>filters</code> and <code>predicates</code>.  These procedures
are defined in the <a href="simplify_8h.html">simplify.h</a> header
file.

The <a href="">ssimp_types.h</a> file defines the 
<code>Constraint</code> class, the templates <code>TFilter</code> and
<code>TPredicate</code>, and the <code>Message</code> class.
<p>
<code>TFilter</code> is typedefed as <code>BasicFilter</code> 
which does not simplify, and <code>SimplifyingFilter</code> that does.
<p>
<code>TPredicate</code> uses <code>TFilter</code> as its filter implementation.
It is typedefed as <code>BasicPredicate</code>
which does not simplify and <code>SimplifyingPredicate</code> which does.
**/

