// -*- C++ -*-
//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.cs.colorado.edu/serl/siena/
//
//  Authors: See the file AUTHORS for full details.
//
//  Copyright (C) 2002-2004 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to serl@cs.colorado.edu.
//
// $Id: siena_simplify_impl.h,v 1.2 2008-08-21 15:34:11 carzanig Exp $
//
#include <siena/types.h>
/*
 * namespace containing a bunch of convenience procedures.
 */
using namespace siena;

namespace siena_simplify_impl
{
  bool leq( const string_t& s1, const string_t& s2 );
  bool gt( const string_t& s1, const string_t& s2 );
  bool geq( const string_t& s1, const string_t& s2 );
  bool sf( const string_t& s1, const string_t& s2 );
  bool pf( const string_t& s1, const string_t& s2 );
  bool ss( const string_t& s1, const string_t& s2 );
  bool lt( const value& v1, const value& v2 );
  bool gt( const value& v1, const value& v2 );
  bool leq( const value& v1, const value& v2 );
  bool geq( const value& v1, const value& v2 );
  bool neq( const value& v1, const value& v2 );
  bool eq( const constraint& c1, const constraint& c2 );
};

